## golang-github-aanand-compose-file 0.0~git20161122.0.a3e5876

=== Makefile ===
SCHEMA_GO := schema/bindata.go
SCHEMA_JSON := schema/data/config_schema_v3.0.json

test:
	go test ./{loader,schema,template,interpolation}

schema: $(SCHEMA_GO)

$(SCHEMA_GO): $(SCHEMA_JSON)
	go generate ./schema

=== debian/changelog ===
golang-github-aanand-compose-file (0.0~git20161122.0.a3e5876-1) unstable; urgency=medium

  * Initial release (Closes: #853790)

 -- Tim Potter <tpot@hpe.com>  Thu, 15 Dec 2016 09:11:32 +1100

=== debian/control ===
Source: golang-github-aanand-compose-file
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-docker-engine-api-dev,
               golang-github-docker-go-units-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.8
Homepage: https://github.com/aanand/compose-file
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aanand-compose-file.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-aanand-compose-file.git
XS-Go-Import-Path: github.com/aanand/compose-file

Package: golang-github-aanand-compose-file-dev
Architecture: all
Depends: golang-github-docker-engine-api-dev,
         golang-github-docker-go-units-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-gopkg-yaml.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parser for the Docker compose file format version 3
 This library implements a parser for the Docker compose file format.
 .
 Docker Compose is a tool for defining and running multi-container
 Docker applications. Applications can then be created and started
 using a single command.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := github.com/aanand/compose-file/vendor

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-aanand-compose-file-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/aanand/compose-file/tags .*/v?(\d\S*)\.tar\.gz
